<?php

namespace kernel\modules\menu\models\forms;

use kernel\FormModel;

/**
 * @property $parent_id
 * @property $icon_file
 * @property $icon_font
 * @property $label
 * @property $url
 * @property $status
 */
class CreateMenuForm extends FormModel
{
    public function rules(): array
    {
        return [
            'parent_id' => '',
            'icon_file' => '',
            'icon_font' => '',
            'label' => 'required|min-str-len:1|max-str-len:50',
            'url' => 'required|min-str-len:1',
            'status' => ''
        ];
    }
}